"{ Package: 'stx:libscm/mercurial' }"

Object subclass:#HGRepositoryObject
	instanceVariableNames:'repository'
	classVariableNames:''
	poolDictionaries:''
	category:'SCM-Mercurial-Internal'
!

!HGRepositoryObject class methodsFor:'documentation'!

documentation
"
    A base abstract superclass for Mercurial repository
    objects.

    [author:]
        Jan Vrany <jan.vrany@fit.cvut.cz>

    [instance variables:]

    [class variables:]

    [see also:]

"
! !

!HGRepositoryObject methodsFor:'accessing'!

repository
    ^ repository
! !

!HGRepositoryObject methodsFor:'initialization'!

setRepository: anHGRepository
    repository := anHGRepository

    "Created: / 17-10-2012 / 13:48:02 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!HGRepositoryObject class methodsFor:'documentation'!

version_HG
    "Never, ever change this method. Ask JV or CG why"
    ^thisContext method mclass theNonMetaclass instVarNamed: #revision
!

version_SVN
    ^ 'Id::                                                                                                                        '
! !
